part of 'device_activity_bloc.dart';

abstract class DeviceActivityState extends Equatable {
  const DeviceActivityState();

  @override
  List<Object> get props => [];
}

class DeviceActivityInitial extends DeviceActivityState {}

class DeviceActivityFailure extends DeviceActivityState {}

class DeviceActivitySuccess<T> extends DeviceActivityState {
  final List<T> items;

  const DeviceActivitySuccess({required this.items});

  DeviceActivitySuccess copyWith({List<T>? items}) {
    return DeviceActivitySuccess(items: items ?? this.items);
  }

  @override
  List<Object> get props => [items];
}
